<template>
  <!-- <v-container
    id="sale-storage"
  > -->
  <base-material-input-screen
    title="Hóa đơn bán hàng"
    style="width: 100%"
    color2="warning"
    color3="error"
    text2="Lưu & In"
    icon2="print"
    icon1="save"
    icon3="close"
    :disabled1="currentTab != 3"
    @action-1="saveOrder($event)"
    @action-2="printOrder($event)"
    @back-list="backList($event)"
  >
    <!-- Control -->
    <!--  desktop -->
    <div v-if="!isMobile()">
      <!-- total end -->
    </div>
    <!-- //End desktop -->

    <!-- isMobile -->
    <div v-else />
    <orderMobile
      ref="orderMobile"
      @onUpdateOrder="onUpdateOrder"
      @onOrderTab="onOrderTab"
    />
    <!-- End isMobile -->
    <!-- total -->
    <v-col
      cols="12"
      class="order-fixed-footer mb-3 pb-0 pa-0"
      style="height:80px; line-height:30px; bottom: 3px; vertical-align: middle"
    >
      <v-row class="mb-0 pa-1 white">
        <!-- Tiền hàng -->
        <v-col
          cols="4"
          class="text-left mt-0 pt-0 mb-0 pb-0 pl-7 pr-0"
        >
          <label>
            Tổng tiền hàng
          </label>
        </v-col>
        <v-col
          cols="8"
          class="text-right mt-0 pt-0 mb-0 pb-0 pr-6"
        >
          <label>
            <a class="font-size: 30pt">
              {{
                formatPrice(
                  !isNaN(this.order.total) ? this.order.total : 0,
                  0
                )
              }}
            </a>
          </label>
        </v-col>
        <!-- Phí vận chuyển -->
        <v-col
          cols="4"
          class="text-left mt-0 pt-0 mb-0 pb-0 pl-7 pr-0"
        >
          <label>
            Phí vận chuyển
          </label>
        </v-col>
        <v-col
          cols="8"
          class="text-right mt-0 pt-0 mb-0 pb-0 pr-6"
        >
          <label>
            <a class="font-size: 30pt">
              {{
                formatPrice(
                  !isNaN(this.order.delivery_price) ? this.order.delivery_price : 0,
                  0
                )
              }}
            </a>
          </label>
        </v-col>
        <v-col
          cols="4"
          class="text-left mt-0 pt-0 mb-0 pb-0 pl-7 pr-0"
        >
          <label>
            Mã giảm giá
          </label>
        </v-col>
        <v-col
          cols="8"
          class="text-right mt-0 pt-0 mb-0 pb-0 pr-6"
        >
          <label>
            <a class="">
              {{
                formatPrice(
                  !isNaN(this.order.promotion) ? this.order.promotion : 0,
                  0
                )
              }}
            </a>
          </label>
        </v-col>
        <!-- Tiền hàng -->
        <v-col
          cols="4"
          class="text-left mt-0 pt-0 mb-0 pb-0 pl-7 pr-0"
        >
          <h4 class="text---bold">
            Thành tiền
          </h4>
        </v-col>
        <v-col
          cols="8"
          class="text-right mt-0 pt-0 mb-0 pb-0 pr-6"
        >
          <h4>
            <a class="text---bold">
              {{
                formatPrice(
                  !isNaN(parseFloat(this.order.total)
                    + parseFloat(this.order.delivery_price)
                    - parseFloat(this.order.promotion))
                    ? parseFloat(this.order.total)
                      + parseFloat(this.order.delivery_price)
                      - parseFloat(this.order.promotion) : 0,
                  0
                )
              }}
            </a>
          </h4>
        </v-col>
      </v-row>
    </v-col>
    <!-- total end -->
  </base-material-input-screen>
  <!-- </v-container> -->
</template>

<script>
  import axios from 'axios'
  import config from '../../config/config.js'
  import orderMobile from '../sales/saleOrder-mobile'
  import totalOrder from '../sales/TotalOrder'
  import VueNumericInput from 'vue-numeric-input'

  export default {
    layout: 'saleOrder',
    components: {
      totalOrder,
      orderMobile,
    },
    props: {
      // currentTab: {
      //   type: String,
      //   default: "0",
      // },
    },
    data () {
      return {
        order: {
          type: Object,
          default: () => ({}),
        },
        currentTab: 0,
      }
    },
    computed: {
    //   ...bankState("bank", {
    //     bankList: "bankList",
    // })
    // totals(){
    //   let sums = 0;
    //   // sums = this.$refs.orderMobile.saleOrder.total;
    //   for (var idx in this.$refs.orderMobile.saleOrderDetail) {
    //     sums += parseFloat(this.$refs.orderMobile.saleOrderDetail[idx].amount)

    //   }
    //   return sums
    // }
    }, // end method
    mounted: function () {}, // end method
    created () {
    }, // end data
    methods: {
      isMobile () {
        if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
          return true
        } else {
          return false
        }
      },
      formatPrice (value, tofix) {
        const val = (value / 1).toFixed(tofix).replace(',', '.')
        return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ',')
      },

      saveOrder ($event) {
        this.$refs.orderMobile.saveOrder($event)
      },

      onUpdateOrder (value) {
        console.log('onUpdateOrderx', value)
        this.order = value == undefined ? null : value
      },
      onOrderTab (value) {
        console.log('onChangeTab', value)
        this.currentTab = value == undefined ? null : value
      },
      // onChangeTab(value) {
      //   console.log("onChangeTab", value);
      //   this.currentTab = value == undefined ? null : value;
      // },
      backList ($event) {
        this.$refs.orderMobile.backList($event)
      },
      async printOrder ($event) {
        //  await axios
        //   .get(config.API_FAMILY + "/api/print")
        //   .then(function(response) {
        //     // this.insertChitieuDialog.dialog = false;
        //     console.log(response.data.data);
        //   });
        this.$refs.orderMobile.savePrintOrder($event)
      },

    }, // end method
  } // End exxport default
</script>
<style scroped>

.btn-control-detail .v-btn--icon.v-size--default{
  height: 25px;
  width: 25px;
}
.text-price input, .text-qty input{

  color: red;
  font-weight: bold;

}
</style>
